Skip to content

Retrieve the entry request fields for a user

Request

OAuth 2.0 scope:
  • okta.accessRequests.request.read

Retrieves the entry's request fields for the specified requester.

Request fields for the entry are only returned if the entry has "request on behalf of" (requestOnBehalfOfSettings) enabled, and the authorized user is able to request on behalf of other requesters.

If the request can lead to any separation of duty conflicts, then the risk assessment (metadata.riskAssessment) is returned. The risk assessment indicates whether the request submission is allowed or restricted, and includes rules that lead to the possible conflicts. If the request submission is allowed, then the request fields are determined by the associated approval sequence for the risk level.

Path
entryIdstring, = 20 characters(catalog-entry-id)required

Unique identifier for the catalog entry

Example:cenp2rjyxK1Js2Fc41d5
userIdstring, = 20 charactersrequired

Unique identifier for the user

Example:00ucvnr9rbONeZdRp1d7
GET
/governance/api/v2/my/catalogs/default/entries/{entryId}/users/{userId}/request-fields
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/governance/api/v2/my/catalogs/default/entries/cenp2rjyxK1Js2Fc41d5/users/00ucvnr9rbONeZdRp1d7/request-fields

Responses

Get requester fields for an entry

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(request-field)

List of request fields

metadataobject

Additional information about the request fields

Response
{ "data": [ {} ] }